SnowballAnalyzer (Lucene 2.4.1 API)
Keywords: org.apache.lucene.analysis.snowball.SnowballAnalyzer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.snowball
Class SnowballAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.snowball.SnowballAnalyzer

    public class SnowballAnalyzer

extends Analyzer

Filters `StandardTokenizer` with `StandardFilter`, `LowerCaseFilter`, `StopFilter` and `SnowballFilter`. Available stemmers are listed in `net.sf.snowball.ext`. The name of a stemmer is the part of the class name before "Stemmer", e.g., the stemmer in `EnglishStemmer` is named "English".

Constructor Summary
`SnowballAnalyzer(String name)` Builds the named analyzer with no stop words.
`SnowballAnalyzer(String name, String[] stopWords)` Builds the named analyzer with the given stop words.

Method Summary
`TokenStream` | `tokenStream(String fieldName, Reader reader)` Constructs a `StandardTokenizer` filtered by a `StandardFilter`, a `LowerCaseFilter` and a `StopFilter`.

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnowballAnalyzer

    public SnowballAnalyzer(String name)

  Builds the named analyzer with no stop words.

### SnowballAnalyzer

    public SnowballAnalyzer(String name,
                            String[] stopWords)

  Builds the named analyzer with the given stop words.

Method Detail

### tokenStream

    public TokenStream tokenStream(String fieldName,
                                   Reader reader)

  Constructs a `StandardTokenizer` filtered by a `StandardFilter`, a `LowerCaseFilter` and a `StopFilter`.

  Specified by:
    `tokenStream` in class `Analyzer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.